# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExportDX

Function

Writes an Object to a specified file in a specified Data Explorer format.

Syntax
`
#include <dx/dx.h>
`

Error DXExportDX(Object o, char *filename, char *format)

Functional Details

Writes the contents of Object `o` into the file specified by `filename` using format `format`. `format` must be "dx" with the following optional keywords appended:

Table 5. Format Keyword Description

Keyword | Format of the Data in the File
--- | ---
text | data in ASCII
ASCII | data in ASCII
binary | data in binary
1 | header and data in a single file: header section, then data section
2 | header and data in two files
follows | header and data in a single file; data immediately following object description in header section

You may specify more than one keyword (e.g., `format`="dx text 2").

Return Value

Returns `OK` or returns `NULL` and sets an error code.

See Also

`DXImportDX`

"Data Explorer Format Files".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]